# Generated by Django 4.0 on 2022-10-07 10:43

from django.db import migrations


def forwards(apps, schema_editor):
    Term = apps.get_model("codex", "Term")
    TermCatCat = apps.get_model("codex", "TermCatCat")

    for term in Term.objects.all():
        category = term.category
        if category is not None:
            TermCatCat.objects.create(term=term, category=category)


class Migration(migrations.Migration):

    dependencies = [
        ("codex", "0025_termcatcat"),
    ]

    operations = [
        migrations.RunPython(forwards),
    ]
